<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Search-Button</title>
    <link rel="stylesheet" href="/assets/styles/search.styles.css" />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.1/css/all.min.css"
      integrity="sha512-MV7K8+y+gLIBoVD59lQIYicR65iaqukzvf/nwasF0nqhPay5w/9lJmVM2hMDcnK1OnMGCdVK+iQrJ7lzPJQd1w=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    />
  </head>
  <body>
    <div class="search-container">
      <div class="searchBar">
        <input type="text" class="search" placeholder="Search here..." />
        <div class="search-button">
          <button class="search-btn" onclick="onClickSearch()">
            <i class="fa-solid fa-magnifying-glass fa-2xl"></i>
          </button>
        </div>
      </div>
    </div>
  </body>
  <script>
    function onClickSearch() {
      var input = document.querySelector(".search");
      console.log("Button Clicked");
      input.classList.toggle("active");
      input.focus();
    }
  </script>
</html>
